---
title: Gamepad.hapticActuators
slug: Web/API/Gamepad/hapticActuators
tags:
  - API
  - Experimental
  - Gamepad
  - Gamepad API
  - Property
  - Reference
  - hapticActuators
---
<div>{{APIRef("Gamepad")}}{{SeeCompatTable}}</div>

<p>The <strong><code>hapticActuators</code></strong> read-only property of the {{domxref("Gamepad")}} interface returns an array containing {{domxref("GamepadHapticActuator")}} objects, each of which represents haptic feedback hardware available on the controller.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var myHapticActuators = gamepadInstance.hapticActuators;</pre>

<h3 id="Value">Value</h3>

<p>An array containing {{domxref("GamepadHapticActuator")}} objects.</p>

<h2 id="Examples">Examples</h2>

<p>TBC</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('GamepadExtensions', '#partial-gamepad-interface', 'hapticActuators')}}</td>
   <td>{{Spec2('GamepadExtensions')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Gamepad.hapticActuators")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Gamepad_API">Gamepad API</a></li>
</ul>
